Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.server.memfs
Class MemoryFile

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.server.memfs.MemoryFile

public final class MemoryFile
extends java.lang.Object

The MemoryFileSystem version of the java.io.File class.

Constructor Summary
`MemoryFile(java.lang.String fileName)` Construct a MemoryFile object that refers to the given file.

Method Summary
`boolean` | `delete()` Delete the file.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemoryFile

    public MemoryFile(java.lang.String fileName)
               throws java.io.FileNotFoundException

  Construct a MemoryFile object that refers to the given file.
  Parameters:
    `fileName` - The name of the file in the MemoryFileSystem.
  Throws:
    Throws - a FileNotFoundException if the file couldn't be found or the server team was unreachable.

Method Detail

### delete

    public boolean delete()
                   throws java.io.IOException

  Delete the file.
  Returns:
    True if the file was deleted.
  Throws:
    Throws - an IOException if the file couldn't be found or the server team was unreachable.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002